Name:           rats
Version:        2.1
Release:        6%{?dist}
Summary:        Rough Auditing Tool for Security

Group:          Development/Tools
License:        GPLv2
URL:            http://www.fortifysoftware.com/security-resources/rats.jsp
Source0:        http://www.fortifysoftware.com/servlet/downloads/public/rats-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch1:         rats-2.1-build-clean.patch
Patch2:         rats-2.1-php.patch
Patch3:         rats-2.1-report.patch
Patch4:         rats-2.1-lex.patch
Patch5:         rats-2.1-gtk-vuln.patch
BuildRequires:  expat-devel, flex
Requires:       expat

%description
RATS scans through code, finding potentially dangerous function calls.
The goal of this tool is not to definitively find bugs (yet). The 
current goal is to provide a reasonable starting point for performing 
manual security audits.

The initial vulnerability database is taken directly from things that
could be easily found when starting with the forthcoming book, 
"Building Secure Software" by Viega and McGraw.  

%prep
%setup -q
%patch1
%patch2
%patch3
%patch4
%patch5

%build
%configure
make %{?_smp_mflags} lex
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
#make install doesn't accept DESTDIR or other ways of not installing to PREFIX.
# So, we do the install ourselves due to so few files to install.
mkdir -p $RPM_BUILD_ROOT/{%{_datadir}/rats,%{_bindir},%{_mandir}/man1}
install -c rats $RPM_BUILD_ROOT/%{_bindir}
install -c -m644 *.xml $RPM_BUILD_ROOT/%{_datadir}/rats
install -c -m644 *.1 $RPM_BUILD_ROOT/%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{_datadir}/rats
%doc README README.win32
%attr(755,root,root) %{_bindir}/*
%{_datadir}/rats/*
%{_mandir}/man1/*

%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild


* Tue Oct 9 2007 Scott Henson <shenson@redhat.com> - 2.1-5
 - Change the Makefile.in so we can use the configure macro
 - Rename all patches to .patch to be more standard

* Tue Oct 9 2007 Scott Henson <shenson@redhat.com> - 2.1-4
 - Do configure ourselves because datadir gets set wrong otherwise.

* Tue Oct 9 2007 Scott Henson <shenson@redhat.com> - 2.1-3
 - Break the monolithic patch into pieces
 - Build Clean, contains build cleanups and spelling corrections
 - Php, adds support for php3 and php4 files
 - Report, adds some html output cleanup
 - Lex, some lex bug fixes
 - GTK-Vuln, adds some gtk vulnerabilities
 - Also generate lex output files on each build.

* Mon Oct 8 2007 Scott Henson <shenson@redhat.com> - 2.1-2
 - Move configure to the build stage and simplify it to just use the configure macro
 - Comment as to why we don't use make install
 - Remove the GPL comment from the Description
 - Update upstream to Fortify Software
 - Other misc cleanups.  

* Wed Sep 26 2007 Scott Henson <shenson@redhat.com> - 2.1-1
 - Initial packaged version
